Bug 1311929 - [RFE] Add monitor equivalent to API
[RFE] Add monitor equivalent to API
Product: Copr
Classification: Community
Component: cli (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: clime
Depends On:
  Show dependency treegraph
Reported: 2016-02-25 05:55 EST by Jan Staněk
Modified: 2018-02-27 07:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Staněk 2016-02-25 05:55:43 EST
Description of problem:
I'm writing a script for automated running of RPM tests on COPR projects. I would like to have API access to the information provided by the detailed monitor in the frontend -- list of all packages in the project together with their latest build ids, in order to found the URL for the builds results.

Additional info:
I cannot simply use reposync (or similar tools), since I also need access to the respective build logs for the builds (rpmgrill needs them).
Comment 1 clime 2016-03-09 08:54:18 EST
Sorry for late response. We actually already have this in our API (at least in the "legacy" API, which is currently undocumented).


Let me know, if that is what you need.
Comment 2 clime 2016-03-09 08:56:21 EST
Sorry, I left out the first part of the uri:

Comment 3 Jan Staněk 2016-03-10 05:03:20 EST
OK, I can work with that - the "legacy" monitor has the necessary info.

However, I would still like to see a version of this in the new API, so that the script could eventually work without mixing two versions of the API. The priority for me is not too high for now, though.
Comment 4 clime 2016-03-10 06:31:24 EST
There shouldn't be a difference except the url prefix, right? It is not like one would give you xml response and the second json. But yeah, we will probably need to do something about our APIs. It would not be bad to have just one.
Comment 5 clime 2018-02-26 04:06:10 EST
Hello, we are now preparing a new API (https://pagure.io/copr/copr/issue/218). Also, we are planing a possible integration with Taskotron to run automated tests. Can I possibly know more about your project?
Comment 6 Jan Staněk 2018-02-27 07:13:23 EST
Well, I *think* the project was scraped in the end, and after two years I have trouble remembering what I needed this for... Sorry.

This issue then may be closed as you see fit. Thanks for the collaboration!

Note You need to log in before you can comment on or make changes to this bug.